Delete a secret at a scope (ADR-0014). Idempotent.
DELETE
/v1/secrets
const url = 'https://example.com/v1/secrets?org=example&name=example';const options = {method: 'DELETE'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url 'https://example.com/v1/secrets?org=example&name=example'Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”org
required
string
Owning org
repo
string
Repo (repo/env scope)
environment
string
Environment (env scope)
name
required
string
Secret name to delete
Responses
Section titled “Responses”Deleted (idempotent)
Secrets not configured